• Chintan Shah

    Chintan Shah

    1 year ago
    HI there, i have issue while running a workflow through ecs agent ,
    An error occurred (ClientException) when calling the RegisterTaskDefinition operation: Container.image should not be null or empty
    . this is run time error while trying to execute flow . any pointers
    Chintan Shah
    Kevin Kho
    30 replies
    Copy to Clipboard
  • Ben Muller

    Ben Muller

    1 year ago
    Hey community, I have previously worked with Dockerstorage for all my flows but as my repo has grown it has slown down my CI process, so I am switching to S3 stroage. I have a docker image baked in with all the dependancies and files etc for the repo. I have set up my storage like so:
    S3(
                bucket="es-prefect-flows-staging",
                stored_as_script=True,
            )
    Now after registering my flow I am getting an error after the flow is downloaded: in 🧵
    Ben Muller
    6 replies
    Copy to Clipboard
  • Gaylord Cherencey

    Gaylord Cherencey

    1 year ago
    Hello, I have 2 questions about Prefect Cloud: • Is there a list somewhere that detail the information sent to Prefect Cloud from Agents? • Is there documentation around Okta SSO implementation with Prefect Cloud? (more specifically when I when to have multi-tenancy) Thanks in advance for the help 😃
    Gaylord Cherencey
    Kevin Kho
    +1
    10 replies
    Copy to Clipboard
  • e

    Eddie Atkinson

    1 year ago
    Hey folks, Haven’t been able to figure this one out by reading the docs / threads here. I am trying to process data for sites in a date range one day at a time (with a task running for each combination of date and site_id). My current solution uses
    map
    to process the data for each site individually, but does so for the entire range at once. The complication arises from the fact that the date range is specified as a parameter, and the site_ids are the result of a task that runs.
    e
    Kevin Kho
    6 replies
    Copy to Clipboard
  • Chhaya Vankhede

    Chhaya Vankhede

    1 year ago
    I'm trying to update the flow schedule using graphql, there is an option in UI under setting where I can modify schedule. I want something similar in graphql
    Chhaya Vankhede
    2 replies
    Copy to Clipboard
  • i

    Italo Barros

    1 year ago
    Hello everyone, I noticed something strange today and I don't know if it was a bug or not. I had registered a Flow using the API and started an agent at the same folder using the CLI. The Flow was schedule to Run on the Prefect Cloud and I did some "Quick Runs" to test/debug. Everything was running fine, however, the VM that I'm running the Agent was shut down for maintenance on the weekend, and I restarted the agent again (now in a different folder than before) an received the following error:
    Failed to load and execute Flow's environment: FlowStorageError('An error occurred while unpickling the flow:\n  ModuleNotFoundError("No module named \'Submodules\'",)\nThis may be due to a missing Python module in your current environment. Please ensure you have all required flow dependencies installed.',)
    The error was solved after shutting down the agent and starting again at the same folder of his first execution. I think this is related to the agent metadata, is this behavior normal?
    i
    Kevin Kho
    3 replies
    Copy to Clipboard
  • Wilson Bilkovich

    Wilson Bilkovich

    1 year ago
    When exactly do I need a
    RunConfig
    object? Do I need one if I’m already specifying an Executor?
    Wilson Bilkovich
    Kevin Kho
    4 replies
    Copy to Clipboard
  • j

    Jelle Vegter

    1 year ago
    Hey all, what is the best practice for creating variables (i.e. date stamp) that you want to re-use across tasks? I can't just declare the variable as the date stamp doesn't update after the initial registry.
    j
    Wilson Bilkovich
    +1
    3 replies
    Copy to Clipboard
  • b

    Bastian Röhrig

    1 year ago
    Hey everyone, I'm getting a weird error when trying to run flows with the docker agent against the cloud backend. The error message asks me to make sure I'm authenticated. However, when I run
    prefect auth list-tenants
    I get my tenants, so if feel like I should be authenticated. I'm kind of stumped, maybe someone here has an idea?
    Traceback (most recent call last):
      File "/usr/local/lib/python3.7/site-packages/prefect/client/client.py", line 738, in _request
        json_resp = response.json()
      File "/usr/local/lib/python3.7/site-packages/requests/models.py", line 900, in json
        return complexjson.loads(self.text, **kwargs)
      File "/usr/local/lib/python3.7/json/__init__.py", line 348, in loads
        return _default_decoder.decode(s)
      File "/usr/local/lib/python3.7/json/decoder.py", line 337, in decode
        obj, end = self.raw_decode(s, idx=_w(s, 0).end())
      File "/usr/local/lib/python3.7/json/decoder.py", line 355, in raw_decode
        raise JSONDecodeError("Expecting value", s, err.value) from None
    json.decoder.JSONDecodeError: Expecting value: line 1 column 1 (char 0)
    
    The above exception was the direct cause of the following exception:
    
    Traceback (most recent call last):
      File "/usr/local/bin/prefect", line 8, in <module>
        sys.exit(cli())
      File "/usr/local/lib/python3.7/site-packages/click/core.py", line 829, in __call__
        return self.main(*args, **kwargs)
      File "/usr/local/lib/python3.7/site-packages/click/core.py", line 782, in main
        rv = self.invoke(ctx)
      File "/usr/local/lib/python3.7/site-packages/click/core.py", line 1259, in invoke
        return _process_result(sub_ctx.command.invoke(sub_ctx))
      File "/usr/local/lib/python3.7/site-packages/click/core.py", line 1259, in invoke
        return _process_result(sub_ctx.command.invoke(sub_ctx))
      File "/usr/local/lib/python3.7/site-packages/click/core.py", line 1066, in invoke
        return ctx.invoke(self.callback, **ctx.params)
      File "/usr/local/lib/python3.7/site-packages/click/core.py", line 610, in invoke
        return callback(*args, **kwargs)
      File "/usr/local/lib/python3.7/site-packages/prefect/cli/execute.py", line 53, in flow_run
        result = client.graphql(query)
      File "/usr/local/lib/python3.7/site-packages/prefect/client/client.py", line 550, in graphql
        retry_on_api_error=retry_on_api_error,
      File "/usr/local/lib/python3.7/site-packages/prefect/client/client.py", line 454, in post
        retry_on_api_error=retry_on_api_error,
      File "/usr/local/lib/python3.7/site-packages/prefect/client/client.py", line 744, in _request
        ) from exc
    prefect.exceptions.AuthorizationError: Malformed response received from Cloud - please ensure that you are authenticated. See `prefect auth login --help`.
    b
    Michael Adkins
    7 replies
    Copy to Clipboard